Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface BridgeDestinationMBean

public interface BridgeDestinationMBean
extends BridgeDestinationCommonMBean

This class represents a messaging bridge destination for non-JMS messaging products.

Each messaging bridge consists of two destinations that are being bridged: a source destination that the bridge reads messages from, and a target destination where the bridge sends the messages that it receives from the source destination.

Note: Although WebLogic JMS includes a "General Bridge Destination" framework for accessing non-JMS messaging products, WebLogic Server does not provide supported adapters for such products. Therefore, you need to obtain a custom adapter from a third-party OEM vendor or contact BEA Professional Services.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.BridgeDestinationCommonMBean
`CACHING_STUB_SVUID, JMS_XA_ADAPTER_JNDI`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.util.Properties` | `getProperties()` Specifies all the properties of the bridge destination.
`void` | `setProperties(java.util.Properties properties)` Specifies all the properties of the bridge destination.

Methods inherited from interface weblogic.management.configuration.BridgeDestinationCommonMBean
`getAdapterJNDIName, getClasspath, getUserName, getUserPassword, getUserPasswordEncrypted, setAdapterJNDIName, setClasspath, setUserName, setUserPassword, setUserPasswordEncrypted`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getProperties

    public java.util.Properties getProperties()

  Specifies all the properties of the bridge destination. The destination properties are string values that must be separated by a semicolon (;).

  The following properties are required for all JMS implementations:

  `ConnectionURL=`
    The URL used to establish a connection to the destination.

  `ConnectionFactoryJNDIName=`
    The JNDI name of the JMS connection factory used to create a connection.

  `DestinationJNDIName=`
    The JNDI name of the JMS destination.

  `DestinationType=`
    Either queue or topic.

  `InitialContextFactory=`
    The factory used to get the JNDI context.

  Returns:
    The properties value

### setProperties

    public void setProperties(java.util.Properties properties)
                       throws javax.management.InvalidAttributeValueException

  Specifies all the properties of the bridge destination. The destination properties are string values that must be separated by a semicolon (;).

  The following properties are required for all JMS implementations:

  `ConnectionURL=`
    The URL used to establish a connection to the destination.

  `ConnectionFactoryJNDIName=`
    The JNDI name of the JMS connection factory used to create a connection.

  `DestinationJNDIName=`
    The JNDI name of the JMS destination.

  `DestinationType=`
    Either queue or topic.

  `InitialContextFactory=`
    The factory used to get the JNDI context.

  Parameters:
    `properties` - The new properties value
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD